Subject: bug#68415: closed (Re: bug#68415: User's shepherd services defined in guix home config can not start after guix pull.)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 31 Mar 2024 14:20:02 +0000

Your bug report

#68415: User's shepherd services defined in guix home config can not start after guix pull.

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
68415: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=68415
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#68415: User's shepherd services defined in guix home config can not start after guix pull.
From: Ludovic Courtès <[email-masked]>
To: Feng Shu <[email-masked]>
Cc: [email-masked], Sergey Trofimov <[email-masked]>
Date: Sun, 31 Mar 2024 16:19:07 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Feng Shu <[email-masked]> skribis:

> Today, after I guix pull again and reconfig guix home, this problem
> dispear, I do not know why :-)
>
>> Feng Shu <[email-masked]> writes:

[...]

>>> I tried, but I do not know why: unbound-variable service

I believe this problem was due to the fact that you were running
shepherd < 0.10.

Shepherd 0.10 introduce (service …) as a replacement for (make <service>
…) and Guix switched to that idiom in
477d4f7d241165b5a5fd315c27efd7803fad4a04, meaning that to complete your
upgrade, you effectively had to start the new shepherd (reboot or
whatever).

Closing!

Thanks,
Ludo’.

Subject: User's shepherd services defined in guix home config can not start after guix pull.
From: Feng Shu <[email-masked]>
To: "guix-bug" <[email-masked]>
Date: Sat, 13 Jan 2024 13:15:47 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

After I guix pull, services defined in guix home config can no start:

-------------------------
服务 root 已启动。
WARNING: Use of `load' in declarative module (#{ g117}#).  Add #:declarative? #f to your define-module invocation.
unbound-variable(#f "Unbound variable: ~S" (service) #f)

Some deprecated features have been used.  Set the environment
variable GUILE_WARN_DEPRECATED to "detailed" and rerun the
program to get more information.  Set it to "no" to suppress
this message.
Creating XDG user directories... done
Comparing /gnu/store/bfkgfz1sm9q75jyn56pav2kmwl48i7w8-home/profile/share/fonts and
          /gnu/store/bfkgfz1sm9q75jyn56pav2kmwl48i7w8-home/profile/share/fonts... done (same)
Evaluating on-change gexps.

-----------

When I run command: herd status, show error:

feng@Guix ~$ herd status
error: connect: /run/user/1000/shepherd/socket: No such file or directory

--